Bug 124152 - hda: drive not ready for command
hda: drive not ready for command
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-05-24 11:20 EDT by Pavel Tsekov
Modified: 2015-01-04 17:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-16 01:40:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
A snippet from /var/log/messsages at the time the errors start (17.97 KB, text/plain)
2004-05-24 11:22 EDT, Pavel Tsekov
no flags Details
'dmes' output (10.88 KB, text/plain)
2004-05-24 11:24 EDT, Pavel Tsekov
no flags Details
'mount' output (308 bytes, text/plain)
2004-05-24 11:25 EDT, Pavel Tsekov
no flags Details
Output for 'hdparm -I /dev/hda' (1.72 KB, text/plain)
2004-06-29 06:33 EDT, Andre Costa
no flags Details

  None (edit)
Description Pavel Tsekov 2004-05-24 11:20:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2)

Description of problem:
After upgrading to FC2T3 I've started to experience a strange
problem. I can't tell though if it was there with the
kernel coming with FC2T3 but sure I see it with kernel-2.6.6-1.370.

At some point after the machine has been working for some time
(it is not constant but it happens most of the time) the following
messages start to appear:

hda: dma_timer_expiry: dma status == 0x60
hda: DMA timeout retry
hda: timeout waiting for DMA
hda: status timeout: status=0xd0 { Busy }
hdb: DMA disabled
hda: drive not ready for command
ide0: reset timed-out, status=0xd0
hda: status timeout: status=0xd0 { Busy }
hda: drive not ready for command
ide0: reset timed-out, status=0xd0
end_request: I/O error, dev hda, sector 1835447
Buffer I/O error on device hda1, logical block 229423
lost page write due to I/O error on hda1
end_request: I/O error, dev hda, sector 1835487
Buffer I/O error on device hda1, logical block 229428
[ keeps repeating this ]

At the same time a pop box shows up in my gnome session
which has the following text:

"The CD you inserted has both audio tracks and files on it.

Would you like to play the audio or browse the files? "

After this errors start to appear the system behaves like
the hard drive is gone.

I doesn't seem to be a hardware related problem since I've
run memtest86+ (default test) and badblocks on all linux
related partitions and everything seems to be fine.

I haven't seen this neither with RH8/9 nor FC1.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Just let the system work for some time.

Actual Results:  ...

Expected Results:  ...

Additional info:
Comment 1 Pavel Tsekov 2004-05-24 11:22:31 EDT
Created attachment 100501 [details]
A snippet from /var/log/messsages at the time the errors start
Comment 2 Pavel Tsekov 2004-05-24 11:24:49 EDT
Created attachment 100502 [details]
'dmes' output
Comment 3 Pavel Tsekov 2004-05-24 11:25:41 EDT
Created attachment 100503 [details]
'mount' output
Comment 4 Pavel Tsekov 2004-05-24 15:11:56 EDT
It must be the kernel. I did test the system with memtest86+ and
badblocks again:

1) memtest86+ (3 passes, default test)

   no errors

2) badblocks (badblocks -c 16384 -o /tmp/hda?.bad -p 5 -n -s /dev/hda?)

   no errors

badblocks is from the FC2T3 CD1. I boot with the CD and type 'linux
rescue' at the boot prompt. Then when asked I choose not to mount the
linux partitions. Then I run the above commands for all linux 
partitions (hda1, hda3, hda5 and hda6 which is the swap)
and no errors are produced at all for all 5 passes.

The kernel on the FC2T3 is 2.6.5-1.327. So I guess it must be 
the culprit.
Comment 5 Andre Costa 2004-06-29 06:31:19 EDT
I am seeing this too, on my FC1 box. Here's pops up on /var/log/messages every once 
in a while:

Jun 27 17:15:00 dali kernel: hda: status timeout: status=0x80 { Busy }
Jun 27 17:15:00 dali kernel: 
Jun 27 17:15:00 dali kernel: hda: drive not ready for command
Jun 27 17:15:03 dali kernel: ide0: reset: success

Today, after a 5-day uptime, tons of errors were listed on the logs, and it looked like 
the harddisk had been unplugged; most commands resulted in I/O errors or bus errors; 
shutdown was uneffective (_tons_ of I/O errors), so I had to manually reset the box.

I will try to shutdown APM on the harddisk to see if uptime improves, because we need 
this machine up (it's a server). However, this is far from ideal considering that disk 
lifetime will be reduced by dropping APM.

I am sending attached my hda info as returned by hdparm -I

Please let me know if I can help in anyway with additional info.

motherboard: ABIT AT7
CPU: Pentium4 2.GHz HT-enabled
kernel: 2.4.26 SMP
kernel boot params: hdc=ide-scsi apm=off acpi=ht noapic

Best regards,

Comment 6 Andre Costa 2004-06-29 06:33:05 EDT
Created attachment 101504 [details]
Output for 'hdparm -I /dev/hda'
Comment 7 Andre Costa 2004-06-29 07:33:35 EDT
(this is not exactly related, but, who knows, it might give you guys a clue...)

I can't seem to be able to disable APM on the drive with 'hdparm -B255', it gives me 
these errors:

hda: drive_cmd: status=0x51 { DriveReady SeekComplete Error }
hda: drive_cmd: error=0x04 { DriveStatusError }

I turned off standby on this drive (with 'hdparm -S0'), hoping this will improve things 
(although I doubt it will...)
Comment 8 Barry K. Nathan 2004-07-14 06:57:05 EDT
Pavel, try the latest FC2 update kernel (2.6.6-1.435.2.3, if I
remember correctly). If you still have the problem, then try one of
the kernels from the following sources and see if you still have your

+ rawhide (a.k.a. FC-devel)
+ FC 3 test 1
+ http://people.redhat.com/arjanv/2.6/

Andre (and maybe Pavel too), you may want to try running
"/usr/sbin/smartctl -a /dev/hda" as root, to verify that your hard
drive is working properly. (This command is part of the kernel-utils
package, so it will only work if that package is installed.)
Comment 9 Dave Jones 2004-12-07 01:49:19 EST
fixed in 2.6.9 update kernel ?
Comment 10 Dave Jones 2005-04-16 01:40:27 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.